List of all members
clan::Endian Class Reference
clanCore I/O Data

Endianess management class. More...

`#include <cl_endian.h>`

## Static Public Member Functions
Operations
static void | swap (void *data, int type_size, int total_times=1)
| Swaps larger amounts of data between little and big endian. More...
static void | swap_if_big (void *data, int type_size, int total_times=1)
static void | swap_if_little (void *data, int type_size, int total_times=1)
Attributes
static bool | is_system_big ()
| Returns true if big endian system. More...
static bool | is_system_64bit ()
| Returns true if 64 bit system. More...

## Detailed Description

Endianess management class.

The documentation for this class was generated from the following file:

- cl_endian.h